summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2017-02-01 17:10:05 -0600
committerMatthias Maier <tamiko@gentoo.org>2017-02-01 17:11:21 -0600
commitd8501d0c3fee993f69cd03af030bbd21b9383a24 (patch)
tree159a002f6c6b21090b4f09a18438f065881273b8 /dev-cpp/eigen
parentdev-util/cloc: keyword for ~arm (diff)
downloadgentoo-d8501d0c3fee993f69cd03af030bbd21b9383a24.tar.gz
gentoo-d8501d0c3fee993f69cd03af030bbd21b9383a24.tar.bz2
gentoo-d8501d0c3fee993f69cd03af030bbd21b9383a24.zip
dev-cpp/eigen: version bump to 3.3.2
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-cpp/eigen')
-rw-r--r--dev-cpp/eigen/Manifest1
-rw-r--r--dev-cpp/eigen/eigen-3.3.2.ebuild116
2 files changed, 117 insertions, 0 deletions
diff --git a/dev-cpp/eigen/Manifest b/dev-cpp/eigen/Manifest
index 760e9258f53..821ad727ee6 100644
--- a/dev-cpp/eigen/Manifest
+++ b/dev-cpp/eigen/Manifest
@@ -3,3 +3,4 @@ DIST eigen-3.2.10.tar.bz2 1168527 SHA256 760e6656426fde71cc48586c971390816f456d3
DIST eigen-3.2.8.tar.bz2 1161201 SHA256 722a63d672b70f39c271c5e2a4a43ba14d12015674331790414fcb167c357e55 SHA512 53c27ba530c985dfef52188e03273eeef33abbc67e3f150cacd3371c8b9ddbd399228730595821c4c56c061d109cf509266c1dab2b8a7c730902cbd6fb18c100 WHIRLPOOL 75e54f5620299f49a540483b0b4163e3cf6c48695f30f5e258343925cb488c3915588862a3fbe2341b5dbe17ea20756409265000f19ea2f45e7706837cb2488a
DIST eigen-3.2.9.tar.bz2 1163762 SHA256 4d1e036ec1ed4f4805d5c6752b76072d67538889f4003fadf2f6e00a825845ff SHA512 2734ce70e0b04dc5839715a3cc9b8f90e05b341cfca42a7d586df213a9a14fe5642c76ccf36c16d020ae167c0d6e4d5cc306f0b3bf1f519c58372b0736ca7e63 WHIRLPOOL 7caba7b0676bc5dc203c8d8b5f57fc3a31a95171ddbb63b21ba8c84e58e5c5fde242d232299183e41886e970c3ea84bce821d506b6c32526ae44703ee3a599f9
DIST eigen-3.3.1.tar.bz2 1638315 SHA256 a0b4cebaabd8f371d1b364f9723585fbcc7c9640ca60273b99835e6cf115f056 SHA512 d679bc04279bad351a35caeb04c4a95ebdd7d69153209573603e0c4c1d15b0c4d23d74f8651928ad04d7f03ad132fa7184d662801be75f58be38fd78802c7724 WHIRLPOOL abbd43be2121aa43192b007f9ed3471fe163fbe71a41a0c0ef61308e96e7c52767c1900dca29b855c8358fc0390630f9bb0deddfb0c951782cbd5499dc53103f
+DIST eigen-3.3.2.tar.bz2 1639615 SHA256 3e1fa6e8c45635938193f84fee6c35a87fac26ee7c39c68c230e5080c4a8fe98 SHA512 a1e1894eba8139a52a5cae33cd880e886352bed11af39a997ba65b0cd24f76c275ea54381f37db10dc54db4257c9485e7f8692c9f27a25be08f0fe1c03290d0a WHIRLPOOL ecf12c5780830ee133e477b9805dbbff6b933c815dd65242404366a013152ad4dfbf829f5a33692e97f0654e598ddcc06c0b8cd7d125dcf80644437a7016b720
diff --git a/dev-cpp/eigen/eigen-3.3.2.ebuild b/dev-cpp/eigen/eigen-3.3.2.ebuild
new file mode 100644
index 00000000000..7c58917c989
--- /dev/null
+++ b/dev-cpp/eigen/eigen-3.3.2.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+FORTRAN_NEEDED="test"
+
+inherit cmake-utils cuda fortran-2
+
+DESCRIPTION="C++ template library for linear algebra"
+HOMEPAGE="http://eigen.tuxfamily.org/"
+SRC_URI="https://bitbucket.org/eigen/eigen/get/${PV}.tar.bz2 -> ${P}.tar.bz2"
+
+LICENSE="LGPL-2 GPL-3"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="altivec c++11 cuda debug doc neon openmp test" #zvector vsx
+
+IUSE_CPU_FLAGS=" avx avx2 f16c fma3 sse2 sse3 sse4_1 sse4_2 ssse3" #x87
+IUSE+=" ${IUSE_CPU_FLAGS// / cpu_flags_x86_}"
+
+RDEPEND="!dev-cpp/eigen:0"
+DEPEND="
+ doc? ( app-doc/doxygen[dot,latex] )
+ test? (
+ dev-libs/gmp:0
+ dev-libs/mpfr:0
+ media-libs/freeglut
+ media-libs/glew
+ sci-libs/adolc
+ sci-libs/cholmod
+ sci-libs/fftw:3.0
+ sci-libs/pastix
+ sci-libs/umfpack
+ sci-libs/scotch
+ sci-libs/spqr
+ sci-libs/superlu
+ dev-qt/qtcore:4
+ virtual/opengl
+ virtual/pkgconfig
+ cuda? ( dev-util/nvidia-cuda-toolkit )
+ )
+"
+# Missing:
+# METIS-5
+# GOOGLEHASH
+
+src_unpack() {
+ default
+ mv ${PN}* ${P} || die
+}
+
+src_prepare() {
+ sed \
+ -e 's:-g2::g' \
+ -i cmake/EigenConfigureTesting.cmake || die
+
+ sed -i CMakeLists.txt \
+ -e "/add_subdirectory(demos/d" \
+ || die "sed disable unused bundles failed"
+
+ if ! use test; then
+ sed -i CMakeLists.txt \
+ -e "/add_subdirectory(test/d" \
+ || die "sed disable tests failed"
+
+ sed -i CMakeLists.txt \
+ -e "/add_subdirectory(blas/d" \
+ -e "/add_subdirectory(lapack/d" \
+ || die "sed disable unused bundles failed"
+ fi
+
+ sed -i -e "/Unknown build type/d" CMakeLists.txt || die
+
+ use cuda && cuda_src_prepare
+
+ cmake-utils_src_prepare
+}
+
+src_compile() {
+ cmake-utils_src_compile
+ use doc && cmake-utils_src_compile doc
+}
+
+src_test() {
+ local mycmakeargs=(
+ -DEIGEN_TEST_ALTIVEC="$(usex altivec)"
+ -DEIGEN_TEST_CXX11="$(usex c++11)"
+ -DEIGEN_TEST_CUDA="$(usex cuda)"
+ -DEIGEN_TEST_OPENMP="$(usex openmp)"
+ -DEIGEN_TEST_AVX="$(usex cpu_flags_x86_avx)"
+ -DEIGEN_TEST_AVX512="$(usex cpu_flags_x86_avx2)"
+ -DEIGEN_TEST_F16C="$(usex cpu_flags_x86_f16c)"
+ -DEIGEN_TEST_FMA="$(usex cpu_flags_x86_fma3)"
+ -DEIGEN_TEST_SSE3="$(usex cpu_flags_x86_sse3)"
+ -DEIGEN_TEST_SSE4_1="$(usex cpu_flags_x86_sse4_1)"
+ -DEIGEN_TEST_SSE4_2="$(usex cpu_flags_x86_sse4_2)"
+ -DEIGEN_TEST_SSSE3="$(usex cpu_flags_x86_ssse3)"
+ -DEIGEN_TEST_NEON64="$(usex neon)"
+# -DEIGEN_TEST_X87="$(usex cpu_flags_x86_x87)"
+ )
+ cmake-utils_src_configure
+ cmake-utils_src_compile blas
+ cmake-utils_src_compile buildtests
+ cmake-utils_src_test
+}
+
+src_install() {
+ cmake-utils_src_install
+ use doc && dodoc -r "${BUILD_DIR}"/doc/html
+
+ # Debian installs it and some projects started using it.
+ insinto /usr/share/cmake/Modules/
+ doins "${S}/cmake/FindEigen3.cmake"
+}